Bug 108930 - rpm --verify should have --noprelink
Summary: rpm --verify should have --noprelink
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-03 14:54 UTC by Jonathan Kamens
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-06 13:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2003-11-03 14:54:45 UTC
There should be an option to rpm --verify to tell it not to verify 
prelinking of all packages.

Comment 1 Jeff Johnson 2003-12-06 13:44:44 UTC
I disagree, the --verify output will spew spurious false messages
if --noprelink is added to the invocation.

Howvere, adding
   --define '__prelink_undo_cmd %{nil}'
will disable the prelink undo.

Add to /etc/popt
    rpm alias --noprelink --define '__prelink_undo_cmd %{nil}'
will disable the unprelinking.

If you mean that --noprelink should not even attempt to verify
prelinked libraries, that's only one of a whole class of file
selectors that would need doing. Filtering the output to remove
messages that you do not care to see is easy enough already.




Note You need to log in before you can comment on or make changes to this bug.